org.jboss.logging.annotations

## Annotation Type Message

    @Target(value=METHOD)
    @Retention(value=CLASS)
    @Documented
    public @interface Message

Assigns a message string to a resource method. The method arguments are used to supply the positional parameter values for the method.

Author:
  David M. Lloyd

### Required Element Summary

Required Elements
`String` `value` The default format string of this message.

### Optional Element Summary

Optional Elements
`Message.Format` `format` The format type of this method (defaults to `Message.Format.PRINTF`).
`int` `id` The message ID number.

### Element Detail

#### value

    public abstract String value

The default format string of this message.

Returns:
  the format string

#### id

    public abstract int id

The message ID number. Only one message with a given name may specify an ID other than `INHERIT`.

Returns:
  the message ID number

Default:
  -1

#### format

    public abstract Message.Format format

The format type of this method (defaults to `Message.Format.PRINTF`).

Returns:
  the format type

Default:
  org.jboss.logging.annotations.Message.Format.PRINTF